<?php

namespace WpBeacon\Providers;

class WpBeaconServiceProvider implements Provider
{
    const PLUGIN_VERSION = '0.2.0';

    protected function providers()
    {
        return [
            ApiServiceProvider::class,
        ];
    }

    public function register()
    {
        foreach ($this->providers() as $service) {
            (new $service)->register();
        }
    }

    public function boot()
    {
        (new UpdateServiceProvider())->register();
    }
}
